Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231363 - gthumb-import can be simplified for mass storage devices
Summary: gthumb-import can be simplified for mass storage devices
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-volume-manager
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Zeuthen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC7Target
TreeView+ depends on / blocked
 
Reported: 2007-03-07 21:13 UTC by Michael J. Chudobiak
Modified: 2013-03-06 03:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-08 00:19:50 UTC


Attachments (Terms of Use)
Patched gthumb-import, to import from mounted DCIM folders (deleted)
2007-03-20 15:16 UTC, Michael J. Chudobiak
no flags Details
Patch for gthumb-import (deleted)
2007-03-20 15:23 UTC, Michael J. Chudobiak
no flags Details | Diff
Corrected and updated gthumb-import script (deleted)
2007-04-02 13:33 UTC, Michael J. Chudobiak
no flags Details

Description Michael J. Chudobiak 2007-03-07 21:13:01 UTC
Description of problem:

If the device triggering gthumb-import is a USB mass storage device, gthumb is
opened without the --import-photos option. No photos are imported. gThumb simply
displays the mounted location, without importing anything, which is annoying.

However, versions >2.2.0 of libgphoto2 include a USB mass storage "driver". That
means it will now import photos from a USB mass storage device. This feature is
relatively new.

This means that USB mass storage devices SHOULD be called with the
--import-photos option.

I think that the gthumb-import script can be reduced to one line:
gthumb --import-photos

Additional info:
http://bugzilla.gnome.org/show_bug.cgi?id=143312
https://sourceforge.net/tracker/?func=detail&atid=108874&aid=1581262&group_id=8874

- Mike (a gThumb developer)

Comment 1 Michael J. Chudobiak 2007-03-20 15:16:09 UTC
Created attachment 150492 [details]
Patched gthumb-import, to import from mounted DCIM folders

This version of gthumb-import will launch the import function of gthumb if a
dcim or DCIM folder is found.

This requires libgphoto 2.2.x or higher (which FC6 and FC7 both have).

- Mike (a gThumb developer)

Comment 2 Michael J. Chudobiak 2007-03-20 15:23:44 UTC
Created attachment 150496 [details]
Patch for gthumb-import

Same as above, in patch format.

Comment 3 Michael J. Chudobiak 2007-04-02 13:33:11 UTC
Created attachment 151424 [details]
Corrected and updated gthumb-import script

Oops, some unnecessary mount points were kept. Here is a simpler version.

Comment 4 Matthias Clasen 2007-04-17 19:00:16 UTC
We should do this.

Comment 5 Matthias Clasen 2007-05-08 00:19:50 UTC
Fixed in 2.17.0-7.fc7


Note You need to log in before you can comment on or make changes to this bug.